Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class ZLDBackend

    java.lang.Object
      org.crosswire.jsword.book.sword.Backend
          org.crosswire.jsword.book.sword.ZLDBackend

All Implemented Interfaces:
  Activatable

    public class ZLDBackend

extends Backend

An implementation KeyBackend to read Z format files. LATER(joe): implement ZLDBackend

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: ZLDBackend.java,v 1.8 2005/03/04 04:04:47 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Constructor Summary
`ZLDBackend(SwordBookMetaData sbmd, File rootPath)` Simple ctor

Method Summary
`void` | `activate(Lock lock)` Called to indicate that the Book should initialize itself, and consume whatever system resources it needs to be able to respond to other queries.
`void` | `deactivate(Lock lock)` Called to indicate that the Book should release whatever system resources it can to make way for other uses.
`String` | `getRawText(Key key)` Get the bytes alotted for the given verse
`boolean` | `isSupported()` Returns whether this Backend is implemented.
`Key` | `readIndex()` Initialise a Backend before use.

Methods inherited from class org.crosswire.jsword.book.sword.Backend
`decipher, getBookMetaData, getRootPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZLDBackend

    public ZLDBackend(SwordBookMetaData sbmd,
                      File rootPath)

  Simple ctor

Method Detail

### activate

    public final void activate(Lock lock)

  Description copied from interface: `Activatable`
  Called to indicate that the Book should initialize itself, and consume whatever system resources it needs to be able to respond to other queries.

  Parameters:
    `lock` - An attempt to ensure that only the Activator calls this method

### deactivate

    public final void deactivate(Lock lock)

  Description copied from interface: `Activatable`
  Called to indicate that the Book should release whatever system resources it can to make way for other uses.

  Parameters:
    `lock` - An attempt to ensure that only the Activator calls this method

### readIndex

    public Key readIndex()

  Description copied from class: `Backend`
  Initialise a Backend before use. This method needs to call addKey() a number of times on SwordDictionary

  Specified by:
    `readIndex` in class `Backend`

### getRawText

    public String getRawText(Key key)
                      throws BookException

  Description copied from class: `Backend`
  Get the bytes alotted for the given verse

  Specified by:
    `getRawText` in class `Backend`
  Parameters:
    `key` - The key to fetch
  Returns:
    String The data for the verse in question
  Throws:
    `BookException` - If the data can not be read.

### isSupported

    public boolean isSupported()

  Description copied from class: `Backend`
  Returns whether this Backend is implemented.

  Specified by:
    `isSupported` in class `Backend`
  Returns:
    true if this Backend is implemented.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD